import 'package:json_annotation/json_annotation.dart';

part 'invalidate.g.dart';

@JsonSerializable()
class InvalidateRequest {
  final String accessToken;
  final String clientToken;

  InvalidateRequest({
    required this.accessToken,
    required this.clientToken,
  });
  factory InvalidateRequest.fromJson(Map<String, dynamic> json) =>
      _$InvalidateRequestFromJson(json);
  Map<String, dynamic> toJson() => _$InvalidateRequestToJson(this);
}
