import 'package:json_annotation/json_annotation.dart';

part 'validate.g.dart';

@JsonSerializable()
class ValidateRequest {
  final String accessToken;
  final String? clientToken;

  ValidateRequest({
    required this.accessToken,
    this.clientToken,
  });
  factory ValidateRequest.fromJson(Map<String, dynamic> json) =>
      _$ValidateRequestFromJson(json);
  Map<String, dynamic> toJson() => _$ValidateRequestToJson(this);
}
