import 'dart:convert';

import 'package:dio/dio.dart';

abstract class Yggdrasil {
  String server = "https://authserver.mojang.com";
  String? endPoint;
  final _dio = Dio(BaseOptions(headers: {"Content-Type": "application/json"}));

  late Map<String, dynamic> content;

  Future<Response> request() {
    return _dio.post(server + endPoint!, data: jsonEncode(content));
  }
}
